Integer Overflow or Wraparound

Affecting tiff package, versions <4.1.0+git191117-2~deb10u2

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

Affected versions of this package are vulnerable to Integer Overflow or Wraparound. An integer overflow flaw was found in libtiff that exists in the tif_getimage.c file. This flaw allows an attacker to inject and execute arbitrary code when a user opens a crafted TIFF file. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability.

Remediation

Upgrade tiff to version or higher.

References

CVSS Score

7.8
high severity
  • Attack Vector
    Local
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
CVE
CVE-2020-35523
CWE
CWE-190
Snyk ID
SNYK-DEBIAN10-TIFF-1078789
Disclosed
09 Mar, 2021
Published
24 Feb, 2021